Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class DependencyManagement

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.DependencyManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class DependencyManagement

extends Object

Section for management of default dependency information for use in a group of POMs.

Java class for DependencyManagement complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DependencyManagement">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="dependencies" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="dependency" type="{http://maven.apache.org/POM/4.0.0}Dependency" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `DependencyManagement.Dependencies` Java class for anonymous complex type.

Field Summary
`protected DependencyManagement.Dependencies` | `dependencies`

Constructor Summary
`DependencyManagement()`

Method Summary
`DependencyManagement.Dependencies` | `getDependencies()` Gets the value of the dependencies property.
`void` | `setDependencies(DependencyManagement.Dependencies value)` Sets the value of the dependencies property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected DependencyManagement.Dependencies dependencies

Constructor Detail

### DependencyManagement

    public DependencyManagement()

Method Detail

### getDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public DependencyManagement.Dependencies getDependencies()

  Gets the value of the dependencies property.

  Returns:
    possible object is `DependencyManagement.Dependencies`

### setDependencies

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDependencies(DependencyManagement.Dependencies value)

  Sets the value of the dependencies property.

  Parameters:
    `value` - allowed object is `DependencyManagement.Dependencies`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.